Plaid logo
Docs
ALL DOCS

API

  • Overview
  • Libraries
  • API versioning
  • Postman Collection
  • Webhooks
Payments and Funding
  • Auth
  • Signal and Balance
  • Identity
  • Transfer
  • Investments Move
  • Payment Initiation (Europe)
  • Virtual Accounts
Financial Insights
  • Transactions
  • Investments
  • Liabilities
  • Enrich
KYC/AML and anti-fraud
  • Look up Dashboard users
  • Identity Verification
  • Monitor
Credit and Underwriting
  • Consumer Report (by Plaid Check)
  • Assets
  • Statements
  • Income
Instant Onboarding
  • Plaid Layer
Fundamentals
  • Items
  • Accounts
  • Institutions
  • Sandbox
  • Link
  • Users
  • Consent
  • Network
  • OAuth
Partnerships
  • Processor tokens
  • Processor partners
  • Reseller partners
Plaid logo
Docs
Plaid.com
Log in
Get API Keys
Open nav
Close search modal
Ask Bill!
Ask Bill!
Hi! I'm Bill! You can ask me all about the Plaid API. Try asking questions like:
    Pssst -- I also moonlight as your IDE's research librarian! Plug me in via the Plaid MCP Server.
    Note: Bill isn't perfect. He's just a robot platypus that reads our docs for fun. You should treat his answers with the same healthy skepticism you might treat any other answer on the internet. This chat may be logged for quality and training purposes. Please don't send Bill any PII -- he's scared of intimacy. All chats with Bill are subject to Plaid's Privacy Policy.

    Guaranteed ACH

    API reference for Guaranteed ACH endpoints

    For how-to guidance, see the Transfer documentation.

    Guaranteed ACH
    /transfer/return/recoverReport recovery of a loss on a returned guaranteed transfer
    =*=*=*=

    /transfer/return/recover

    Report a return recovery

    Use the /transfer/return/recover endpoint to notify Plaid that you have recovered some or all of the loss on a returned guaranteed transfer.

    Recovery can be reported in full or in parts; the sum of recovered amounts across calls cannot exceed the original transfer's amount.

    /transfer/return/recover

    Request fields

    client_id
    stringstring

    Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.

    secret
    stringstring

    Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.

    transfer_id
    requiredstringrequired, string

    The ID of the returned transfer that was recovered.

    amount
    requiredstringrequired, string

    The amount being recovered (decimal string with two digits of precision e.g. "10.00"). The sum of recovered amounts across calls cannot exceed the original transfer's amount.

    idempotency_key
    requiredstringrequired, string

    A random key provided by the client, per unique recovery. Maximum of 50 characters.

    The API supports idempotency for safely retrying requests without accidentally performing the same operation twice. For example, if a request to report a recovery fails due to a network connection error, you can retry the request with the same idempotency key to guarantee that only a single recovery is recorded.

    Max length: 50
    /transfer/return/recover
    const request: TransferReturnRecoverRequest = {
      transfer_id: '460cbe92-2dcc-8eae-5ad6-b37d0ec90fd9',
      amount: '12.34',
      idempotency_key: 'VEK2ea3X6LKywsc8J6pg',
    };
    
    try {
      const response = await client.transferReturnRecover(request);
    } catch (error) {
      // handle error
    }
    
    /transfer/return/recover

    Response fields

    request_id
    stringstring

    A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.

    Response Object
    {
      "request_id": "saKrIBuEB9qJZno"
    }
    Developer community
    GitHub
    GitHub
    Stack Overflow
    Stack Overflow
    YouTube
    YouTube
    Discord
    Discord